InfoGrab Docs

리소스 상태 이벤트 API

리소스 상태 이벤트 API에 대해 설명합니다.

이 API를 사용하여 이슈, 머지 리퀘스트, 에픽의 상태 변경 이벤트를 처리합니다. 이 API는 리소스의 초기 상태("create" 또는 "open")를 추적하지 않습니다. 닫히거나 다시 열리지 않은 리소스의 경우 빈 목록이 반환됩니다. 이슈 # 프로젝트 이슈 상태 이벤트 목록 조회 # 단일 이슈의 모든 상태 이벤트를 나열합니다. GET /projects/:id/issues/:issue_iid/resource_state_events 속성 유형 필수 설명 id integer 또는 string 예 프로젝트의 ID 또는 URL 인코딩된 경로 issue_iid integer 예 이슈의 IID 요청 예시: curl --header "PRIVATE-TOKEN: <your_access_token>" "https://gitlab.example.com/api/v4/projects/5/issues/11/resource_state_events" 응답 예시: [ { "id" : 142 , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "http://gitlab.example.com/root" } , "created_at" : "2018-08-20T13:38:20.077Z" , "resource_type" : "Issue" , "resource_id" : 11 , "source_commit" : null , "source_merge_request_id" : null , "state" : "opened" } , { "id" : 143 , "user" : { "id" : 1 , "name" : "Administrator" , "username" : "root" , "state" : "active" , "avatar_url" : "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon" , "web_url" : "http://gitlab.example.com/root" } , "created_at" : "2018-08-21T14:38:20.077Z" , "resource_type" : "Issue" , "resource_id" : 11 , "source_commit" : null , "source_merge_request_id" : null , "state" : "closed" } ] 단일 이슈 상태 이벤트 조회 # 특정 프로젝트 이슈의 단일 상태 이벤트를 조회합니다. GET /projects/:id/issues/:issue_iid/resource_state_events/:resource_state_event_id 파라미터: 속성 유형